[SM-Commit] GIT changes to master grimoire by Arwed von Merkatz (76bae162945a30f86c6e173a76077285b207de88)

Arwed von Merkatz scm at sourcemage.org
Wed Nov 14 15:40:37 EST 2007


GIT changes to master grimoire by Arwed von Merkatz <v.merkatz at gmx.net>:

 audio-libs/faad2/HISTORY         |    4 ++++
 audio-libs/faad2/UP_TRIGGERS     |   16 ++++++++++++++++
 graphics-libs/giflib/HISTORY     |    4 ++++
 graphics-libs/giflib/UP_TRIGGERS |   12 ++++++++++++
 video/ffmpeg-svn/DEPENDS         |    2 +-
 video/ffmpeg-svn/HISTORY         |    4 ++++
 6 files changed, 41 insertions(+), 1 deletion(-)

New commits:
commit 76bae162945a30f86c6e173a76077285b207de88
Author: Arwed von Merkatz <v.merkatz at gmx.net>
Commit: Arwed von Merkatz <v.merkatz at gmx.net>

    ffmpeg-svn: fixed libvorbis configure switch for latest version

commit 9cd1b9ec1a8ecca1f8a6698f5c122a8783a99ea0
Author: Arwed von Merkatz <v.merkatz at gmx.net>
Commit: Arwed von Merkatz <v.merkatz at gmx.net>

    giflib: added UP_TRIGGERS for switch from libungif

commit 40709777fef33776a797c4399450cf694ccf52bc
Author: Arwed von Merkatz <v.merkatz at gmx.net>
Commit: Arwed von Merkatz <v.merkatz at gmx.net>

    faad2: added UP_TRIGGERS for API change

diff --git a/audio-libs/faad2/HISTORY b/audio-libs/faad2/HISTORY
index 4acb6dc..5c4bfb7 100644
--- a/audio-libs/faad2/HISTORY
+++ b/audio-libs/faad2/HISTORY
@@ -1,3 +1,7 @@
+2007-11-14 Arwed v. Merkatz <v.merkatz at gmx.net>
+	* UP_TRIGGERS: up_trigger because of API change that breaks stuff
+	  (faacDec* got removed)
+
 2007-11-04 Treeve Jelbert <treeve at sourcemage.org>
 	* DETAILS: version 2.6.1
 	* PRE_BUILD: disable some patching
diff --git a/audio-libs/faad2/UP_TRIGGERS b/audio-libs/faad2/UP_TRIGGERS
new file mode 100755
index 0000000..90d28b4
--- /dev/null
+++ b/audio-libs/faad2/UP_TRIGGERS
@@ -0,0 +1,16 @@
+# up_trigger stuff using old faad api
+
+local OLD_SPELL_VERSION=""
+if spell_ok  $SPELL; then
+  OLD_SPELL_VERSION="$(installed_version $SPELL)"
+  if [[ $OLD_SPELL_VERSION != $VERSION ]] && [[ $VERSION == 2.6.1 ]]; then
+    message "This is a possibly incompatible update of faad2..."
+    message "Figuring out what spells need to be recast, this may take a while."
+    for each in $(show_up_depends $SPELL); do
+      if gaze install $each | xargs readelf -s 2> /dev/null |
+         grep -q faacDec; then
+           up_trigger $each cast_self
+      fi
+    done
+  fi
+fi
diff --git a/graphics-libs/giflib/HISTORY b/graphics-libs/giflib/HISTORY
index 52be097..5861788 100644
--- a/graphics-libs/giflib/HISTORY
+++ b/graphics-libs/giflib/HISTORY
@@ -1,3 +1,7 @@
+2007-11-14 Arwed v. Merkatz <v.merkatz at gmx.net>
+	* UP_TRIGGERS: added to up_trigger dependant spells on the switch
+	  from libungif to libgif
+
 2007-11-11 Jaka Kranjc <lynxlynxlynx at sourcemage.org>
 	* CONFLICTS: make it default to y for deprecation
 
diff --git a/graphics-libs/giflib/UP_TRIGGERS b/graphics-libs/giflib/UP_TRIGGERS
new file mode 100755
index 0000000..2fc524e
--- /dev/null
+++ b/graphics-libs/giflib/UP_TRIGGERS
@@ -0,0 +1,12 @@
+# up_trigger stuff that still uses libungif so it's not broken afterwards
+
+if spell_ok  libungif; then
+  message "Switching from libungif to libgif requires recompiling spells using libungif..."
+  message "Figuring out what spells need to be recast, this may take a while."
+  for each in $(show_up_depends libungif); do
+    if gaze install $each | xargs readelf -d 2> /dev/null |
+       grep -q "NEEDED.*libungif"; then
+         up_trigger $each cast_self
+    fi
+  done
+fi
diff --git a/video/ffmpeg-svn/DEPENDS b/video/ffmpeg-svn/DEPENDS
index 5c66786..bc02b9e 100755
--- a/video/ffmpeg-svn/DEPENDS
+++ b/video/ffmpeg-svn/DEPENDS
@@ -8,7 +8,7 @@ optional_depends  "lame"              \
                   ""                  \
                   "for mp3 encoding via libmp3lame"  &&
 optional_depends  "libvorbis"        \
-                  "--enable-libogg --enable-libvorbis"  \
+                  "--enable-libvorbis"  \
                   ""                 \
                   "for ogg/vorbis support"  &&
 optional_depends  "faad2"          \
diff --git a/video/ffmpeg-svn/HISTORY b/video/ffmpeg-svn/HISTORY
index 5bd5c78..c7e10a9 100644
--- a/video/ffmpeg-svn/HISTORY
+++ b/video/ffmpeg-svn/HISTORY
@@ -1,3 +1,7 @@
+2007-11-14 Arwed v. Merkatz <v.merkatz at gmx.net>
+	* DEPENDS: removed --enable-libogg switch from vorbis support,
+	  it's not there anymore
+
 2007-09-02 Arjan Bouter <abouter at sourcemage.org>
 	* CONFIGURE: added a question for libswscale
 	* BUILD: added swscale option to OPTS



More information about the SM-Commit mailing list